<?php
// +-----------------------------------------------------------------------+
// | Perso Login Display plugin for piwigo by TEMMII                       |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2021 ddtddt                    http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
global $template, $conf, $user, $pwg_loaded_plugins;
include_once(PHPWG_ROOT_PATH .'admin/include/tabsheet.class.php');
load_language('plugin.lang', PLD_PATH);

// +-----------------------------------------------------------------------+
// | Check Access and exit when user status is not ok                      |
// +-----------------------------------------------------------------------+
check_status(ACCESS_ADMINISTRATOR);

//-------------------------------------------------------- sections definitions
if (!is_webmaster()){
  array_push($page['errors'], l10n('This section is reserved for the webmaster'));
} else{

// Gestion des onglets
if (!isset($_GET['tab']))
    $page['tab'] = 'gest';
else
    $page['tab'] = $_GET['tab'];

$tabsheet = new tabsheet();
$tabsheet->add('gest', l10n('Management'), PLD_ADMIN . '-gest');
$tabsheet->add('help', l10n('Help'), PLD_ADMIN . '-help');
$tabsheet->select($page['tab']);
$tabsheet->assign();

// Onglet gest
switch ($page['tab'])
{
  case 'gest':
  $plddata = safe_unserialize($conf['PersoLoginDisplay']);
  $pldtop=trigger_change('AP_render_content', $plddata['top']);
  $pldTbefsub=trigger_change('AP_render_content', $plddata['befsub']);
  $pldTaftsub=trigger_change('AP_render_content', $plddata['aftsub']);
  $pldbottom=trigger_change('AP_render_content', $plddata['bottom']);
$template->assign(
  'gestA',
    array(
	  'PLD_TOP' => $pldtop,
	  'PLD_BEFSUB' => $pldTbefsub,
	  'PLD_AFTSUB' => $pldTaftsub,
	  'PLD_BOTTOM' => $pldbottom,
));
  if (isset($pwg_loaded_plugins['ExtendedDescription'])){
	$template->assign('useED',1);
  }else{
    $template->assign('useED',0);
  }
if (isset($_POST['submitpld'])){
  $plddata['top']=$_POST['pldTtop'];
  $plddata['befsub']=$_POST['pldTbefsub'];
  $plddata['aftsub']=$_POST['pldTaftsub'];
  $plddata['bottom']=$_POST['pldTbottom'];  
  conf_update_param('persoAbout', $_POST['perso_about']);
  conf_update_param('PersoLoginDisplay', $plddata, true);
  $_SESSION['page_infos'] = array(l10n('Information data registered in database'));
  redirect(PLD_ADMIN);
}
  break;

// Tab help
  case 'help':
$template->assign(
  'gestB',
	array('meta'=>l10n('null'),));
  break;
	
} 

$template->set_filenames(array('plugin_admin_content' => dirname(__FILE__) . '/admin.tpl')); 
$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
}
?>